Loading...
Searching...
No Matches
RDKit::MACCSFingerprints Namespace Reference

## Functions

RDKIT_FINGERPRINTS_EXPORT ExplicitBitVect * | getFingerprintAsBitVect (const ROMol &mol)
| returns the MACCS keys fingerprint for a molecule

## Variables

const std::string | maccsFingerprintVersion = "2.0.0"

## Function Documentation

## getFingerprintAsBitVect()

RDKIT_FINGERPRINTS_EXPORT ExplicitBitVect * RDKit::MACCSFingerprints::getFingerprintAsBitVect | ( | const ROMol & | mol | ) |

returns the MACCS keys fingerprint for a molecule

The result is a 167-bit vector. There are 166 public keys, but to maintain consistency with other software packages they are numbered from 1.

Parameters

  mol | the molecule to be fingerprinted

Returns
  a pointer to the fingerprint. The client is responsible for calling delete on this.

## Variable Documentation

## maccsFingerprintVersion

const std::string RDKit::MACCSFingerprints::maccsFingerprintVersion = "2.0.0"

Definition at line 13 of file MACCS.h.